Skip to main content

Cancel an Inter-Account Transfer

PUT 

/v2/transfer/internal/:uid/cancel

Asynchronous Processing: This endpoint is processed asynchronously and creates a cancellation command for the Transfer. The cancellation of a Transfer is done asynchronously, that is, when receiving the request, our API stores the request and creates a Command. This command is processed in the background and after confirmed, the Transfer has its status changed to Cancelled. You receive in the response of this request the ID of the created command and can query it at any time.

Webhook Events

When the request is made, a transfer.internal.cancel.requested event is triggered. Our server then begins attempts to send the cancellation to the financial institution. Only after confirmed at the financial institution, the transfer is then marked as cancelled in our database. At this point the transfer.internal.cancel.confirmed event is triggered.

⚠️ Attention to Cancelled status: The Cancelled status is terminal. The transfer can no longer be processed after cancellation.

Request

Responses

Command created successfully